#!/bin/bash

#메신저 설치위치
BASE_PATH="/usr/local/segio/segiom"

#실행스크립트 절대경로 - 파일명
BIN_NAME="/usr/bin/segiom"

#설치 경로의 실행 스크립트 - 파일명
TMP_BIN="/usr/local/segio/segiom/segiom"

ICON_NAME="/usr/local/segio/segiom.desktop"


#return value
RETVAL=0

#자바버전을 체크
check_java()
{
	echo -e "  * Checking Java(Jre) !!"
	rpm -qa jre >> vs.txt
	VER1=`awk -F '.' '{print $1}' vs.txt`
	VER2=`awk -F '.' '{print $2}' vs.txt`
	VER3=`echo -e $VER1.$VER2`

	echo -e "	Your Java(Jre) version = \033[1;31m'$VER3'\033[0;00m"
	rm -f vs.txt
	if [ $VER3 = "jre-1.6" ]; then
		sleep 1
		echo -e "  ................................................ [\033[1;32m OK \033[00m]\n"
	else
		sleep 1
		echo -e "  ................................................ [\033[1;32m FAIL \033[00m]\n"
		echo -e "  Please install Jre-1.6.* more \n"
		echo -e "  You can get Jre at http://java.com/ko/ \n"
		break;
	fi
	return 0
}

#메신저 설치
install_msg()
{
#	put_top
	echo
	echo -e "	SEGIO Messenger Installation Start !! \n"
	echo
	echo -e "  * Installation Messenger !!"

	tar xvzf segiom.tgz  > /dev/null 2>&1
	mkdir /usr/local/segio > /dev/null 2>&1
	mv segiom $BASE_PATH
	chmod -R 777 $BASE_PATH	#쓰기권한이 없으면 우분투에서 다른사용자가 패치를 진행할 수 없음
	sleep 1
	echo -e "  ................................................ [\033[1;32m OK \033[00m]\n"
}


#메신저 제거
uninstall_msg()
{
	echo
	echo -e "	SEGIO Messenger Uninstallation Start !! \n"
	echo

	echo -e "  * Uninstallation Messenger !!"
	rm -rf $BASE_PATH > /dev/null 2>&1
	sleep 1
	echo -e "  ................................................ [\033[1;32m OK \033[00m]\n"
}

#메신저 실행을 위한 명령어를 등록
add_bin()
{
	echo -e "  * Registration Messenger !!"
	cp -ap $TMP_BIN $BIN_NAME > /dev/null 2>&1
	sleep 1
	echo -e "  ................................................ [\033[1;32m OK \033[00m]\n"
}

#메신저 실행을 위한 명령어를 삭제
del_bin()
{
	echo -e "  * Unregistration Messenger !!"
	rm -rf $BIN_NAME > /dev/null 2>&1
	sleep 1
	echo -e "  ................................................ [\033[1;32m OK \033[00m]\n"
}

#메신저 실행을 위한 아이콘 설정
add_icon()
{
	echo -e "  * Registration Icon !!"
	mv $ICON_NAME ~/Desktop/ > /dev/null 2>&1
	sleep 1
	echo -e "  ................................................ [\033[1;32m OK \033[00m]\n"
}


#메신저 실행을 위한 이이콘 삭제
del_icon()
{
	echo -e "  * Unregistration Icon !!"
	rm -f $ICON_NAME > /dev/null 2>&1
	sleep 1
	echo -e "  ................................................ [\033[1;32m OK \033[00m]\n"
}


#메신저의 실행방법을 출력 
put_usage()
{
	echo -e "\n"
	echo -e "  Excute command \"segiom\" !!"
	echo -e "\n"
}


# 기본적인 Top부분을 출력한다.
put_top()
{
	clear
	echo -e "\033[1;35m"
	echo -e "########################################################### "
	echo -e "##              SEGIO Messenger Configuration            ## "
	echo -e "########################################################### "
	echo -e "\033[0;00m\n"
	return 1;
}

#선택메뉴를 출력
put_start()
{
	echo
	if [ -d $BASE_PATH ]; then
#		echo -e "\033[1;33m[Segio Messenger is already exist]\033[00m\n"
#		echo -e "\033[1;33m[Please uninstall the program before install]\033[00m\n"
		echo -e "         1. Update\n"
	else
		echo -e "         1. Install\n"
	fi

	echo -e "         2. Uninstall\n"
	echo -e "         3. Quit\n"
	echo
	echo -e "\033[1;36m         Choose number :\033[0;00m \c"
	
}


######################
# 스크립트 메인 부분 #
######################
if [ $USER != "root" ]; then
	echo -e "\033[1;35m[You should be installed in the root account]\033[00m\n"
else 

put_top
put_start


while true
do
	read x
		case "$x" in
		1 )
#			clear
		if [ -d $BASE_PATH ]; then
#			echo -e "\033[1;33m[Segio Messenger is already exist. Please uninstall the program before install]\033[00m\n"
		
			uninstall_msg
			del_bin
			del_icon
		fi
#			check_java
			install_msg	
			add_bin
			add_icon

			put_usage

			break;
			;;
		

		2 )

			uninstall_msg
			del_bin
			del_icon

			break;
			;;

 		3 )
			echo
			break;;

		* )
			echo -e "\n\tWrong number. Try again !! \n"
			sleep 1
			put_top
			put_start
			;;
	esac
done
fi

